@extends('layouts.app')

@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">
			<div class="panel panel-default">
				<div class="panel-heading">
					Video {{ $video->id }}<?php if ($video->remove) : ?> - <strong>PENDING DELETE</strong><?php endif?><?php if ($video->duplicate) : ?> - <strong>DUPLICATE</strong><?php endif?>
				</div>

				<div class="panel-body">
					<div class="col-md-4">
					<div class="text-center">
						{!! $video->view() !!}
					<ul class="pagination">
						<li <?php if (! $x = $video->previous()) : ?>class="disabled"<?php endif ?>><a href="{{ $x ? url('/v/info/'.$x->id) : '#' }}">&lt;&lt;</a></li>
						<li <?php if (! $x = $video->next()) : ?>class="disabled"<?php endif ?>><a href="{{ $x ? url('/v/info/'.$x->id) : '#' }}">&gt;&gt;</a></li>
					</ul>
					</div>

					</div>
					<div class="col-md-8">
						<div class="dl-horizontal">
							<dt>Signature</dt><dd>{{ $video->signature(TRUE) }}</dd>
							<dt>Filename</dt><dd>{{ $video->file_path(TRUE) }}<dd>
							<?php if ($video->shouldMove()) : ?>
								<dt>NEW Filename</dt><dd>{{ $video->file_path(TRUE,TRUE) }}<dd>
							<?php endif ?>
							<dt>Size</dt><dd>{{ $video->file_size() }}<dd>
							<dt>Dimensions</dt><dd>{{ $video->width }} x {{ $video->height }}<dd>
							<dt>Length</dt><dd>{{ $video->length }}<dd>
							<dt>Type</dt><dd>{{ $video->type }}<dd>
							<dt>Codec</dt><dd>{{ $video->codec }}<dd>
							<dt>Audio Channels</dt><dd>{{ $video->audiochannels }}<dd>
							<dt>Channels Mode</dt><dd>{{ $video->channelmode }}<dd>
							<dt>Sample Rate</dt><dd>{{ $video->samplerate }}<dd>
							<br/>
							<dt>Date Taken</dt><dd>{{ $video->date_taken() }}<dd>
							<dt>Camera</dt><dd>{{ $video->make }}<dd>
							<dt>Model</dt><dd>{{ $video->model }}<dd>
							<dt>Software</dt><dd>{{ $video->software }}<dd>
							<dt>Identifier</dt><dd>{{ $video->identifier }}<dd>
							<br/>
							<dt>Location</dt><dd>
							<?php if ($video->gps() == 'UNKNOWN') : ?>
								UNKNOWN
							<?php else : ?>
								<div id="map" style="width: 400px; height: 300px"></div>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript"> 
  var myLatLng = {lat: {{ $video->gps_lat }}, lng: {{ $video->gps_lon }}};
  var map = new google.maps.Map(document.getElementById("map"), {
	zoom: 16,
	center: myLatLng,
	mapTypeId: google.maps.MapTypeId.ROADMAP
  });
  var marker = new google.maps.Marker({
	map: map,
	position: myLatLng,
  });
</script> 
							<?php endif ?>
							</dd>
							@if($x = $video->list_duplicate())
							<dt>Duplicates</dt><dd>
							@php
$y=''; foreach($video->list_duplicate() as $id) $y.=($y ? '|' : '').sprintf('<a href="%s">%s</a>',url('/v/info/'.$id),$id);
							echo($y);
							@endphp
							</dd>
							@endif
						</div>
					</div>

					<?php if ($video->remove) : ?>
					<form action="{{ url('/v/undelete/'.$video->id) }}" method="POST">
						<button class="btn btn-default">Undelete</button>
					<?php else : ?>
					<form action="{{ url('/v/delete/'.$video->id) }}" method="POST">
						<button class="btn btn-default">Delete</button>
					<?php endif ?>
						{{ csrf_field() }}
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
